IBM Support

IT26335: DATAPOWER VULNERABILITY: INSUFFICIENT INPUT VALIDATION (CVE-2018-1667)

Subscribe

You can track all active APARs for this component.

APAR status

  • Closed as program error.

Error description

  • Insufficient Input validation (CVE-2018-1667)
    

Local fix

Problem summary

  • Fix CVE-2018-1667 as it pertains to RMI lack of
    input query parameter validation
    

Problem conclusion

Temporary fix

Comments

APAR Information

  • APAR number

    IT26335

  • Reported component name

    DATAPOWER

  • Reported component ID

    DP1234567

  • Reported release

    770

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt / Xsystem

  • Submitted date

    2018-09-27

  • Closed date

    2018-11-29

  • Last modified date

    2018-12-05

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Fix information

  • Fixed component name

    DATAPOWER

  • Fixed component ID

    DP1234567

Applicable component levels

  • R750 PSY

       UP

  • R751 PSY

       UP

  • R752 PSY

       UP

  • R760 PSY

       UP

  • R770 PSY

       UP



Document information

More support for: IBM DataPower Gateways
General

Software version: 770

Reference #: IT26335

Modified date: 05 December 2018